Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#51 28-08-2012 09:28:48

Switch
Membre
(G)UI : XFCE !
Inscription : 17-06-2012
Site Web

Re : [Résolu] pour la mise à jour

ghafiki1 a écrit :

bonjour Switch :
je peux ajouter Tuxfamily à mon sources.list puis je fais :aptitude update-aptitude safe-upgrade-aptitude upgrade.c est ça ?
mais  j ai vu que je n ai pas le meme sources.list que toi .


??
Dans mon message  (numéro #40 ), ca n'est pas mon fichier, mais l'exemple présent dans le Wiki Débian Facile http://debian-facile.org/manuel:sources … ist_stable
C'est quasiment celui que tu as! Une seule différence, si je ne me trompe pas, c'est que toi tu n'a pas mis la ligne des dépôts "backports" , qui n'est pas obligatoire.
C'est aussi bien comme ca, aucun problème.

Nous attendons toujours que tu nous dise si tu as des erreurs ou pas en effectuant les commandes aptitude ( que Smolski a gentillement rereredonnées )


Si tu n'es pas sur du résultat; que tu ne sait pas si ce qui est affiché est normal ou si c'est des erreurs; hésites pas a copier le résultat ici !
Mais normalement  tout devrait bien se passer, et de toute façon il ne peux rien arriver de grave, rassures toi.
Quand tu nous aura rassuré sur le fait que tout fonctionne; tu pourra effectivement rajouter la ligne tuxfamily.

Mais avant fais les commandes aptitudes et dis nous ce qu'il en est  une bonne fois pour toute !
Je t'en prie !! roll

Hors ligne

#52 28-08-2012 09:50:53

ghafiki1
Membre
Inscription : 31-05-2010

Re : [Résolu] pour la mise à jour

Switch a écrit :

ghafiki1 a écrit :

bonjour Switch :
je peux ajouter Tuxfamily à mon sources.list puis je fais :aptitude update-aptitude safe-upgrade-aptitude upgrade.c est ça ?
mais  j ai vu que je n ai pas le meme sources.list que toi .


??
Dans mon message  (numéro #40 ), ca n'est pas mon fichier, mais l'exemple présent dans le Wiki Débian Facile http://debian-facile.org/manuel:sources … ist_stable
C'est quasiment celui que tu as! Une seule différence, si je ne me trompe pas, c'est que toi tu n'a pas mis la ligne des dépôts "backports" , qui n'est pas obligatoire.
C'est aussi bien comme ca, aucun problème.

Nous attendons toujours que tu nous dise si tu as des erreurs ou pas en effectuant les commandes aptitude ( que Smolski a gentillement rereredonnées )


Si tu n'es pas sur du résultat; que tu ne sait pas si ce qui est affiché est normal ou si c'est des erreurs; hésites pas a copier le résultat ici !
Mais normalement  tout devrait bien se passer, et de toute façon il ne peux rien arriver de grave, rassures toi.
Quand tu nous aura rassuré sur le fait que tout fonctionne; tu pourra effectivement rajouter la ligne tuxfamily.

Mais avant fais les commandes aptitudes et dis nous ce qu'il en est  une bonne fois pour toute !
Je t'en prie !! roll


Bonjour:
j ai ajouté la ligne des dépôts "backports" et avec :
aptitude update:
Atteint http://ftp.fr.debian.org squeeze Release.gpg
Ign http://ftp.fr.debian.org/debian/ squeeze/main Translation-en               
Atteint http://ftp.fr.debian.org/debian/ squeeze/main Translation-fr           
Atteint http://ftp.fr.debian.org squeeze-updates Release.gpg                   
Ign http://ftp.fr.debian.org/debian/ squeeze-updates/main Translation-en       
Ign http://ftp.fr.debian.org/debian/ squeeze-updates/main Translation-fr       
Atteint http://ftp.fr.debian.org squeeze-proposed-updates Release.gpg           
Atteint http://ftp.fr.debian.org/debian/ squeeze-proposed-updates/main Translation-en
Ign http://ftp.fr.debian.org/debian/ squeeze-proposed-updates/main Translation-fr
Atteint http://ftp.fr.debian.org squeeze Release                               
Atteint http://security.debian.org squeeze/updates Release.gpg                 
Ign http://security.debian.org/ squeeze/updates/main Translation-en             
Ign http://security.debian.org/ squeeze/updates/main Translation-fr             
Prendre : 1 http://backports.debian.org squeeze-backports Release.gpg [836 B]   
Atteint http://ftp.fr.debian.org squeeze-updates Release                       
Atteint http://ftp.fr.debian.org squeeze-proposed-updates Release               
Ign http://backports.debian.org/debian-backports/ squeeze-backports/main Translation-en
Ign http://backports.debian.org/debian-backports/ squeeze-backports/main Translation-fr
Atteint http://security.debian.org squeeze/updates Release                     
Atteint http://ftp.fr.debian.org squeeze/main Sources                           
Prendre : 2 http://backports.debian.org squeeze-backports Release [77,6 kB]     
Atteint http://ftp.fr.debian.org squeeze/main i386 Packages                     
Atteint http://ftp.fr.debian.org squeeze-updates/main Sources/DiffIndex         
Atteint http://ftp.fr.debian.org squeeze-updates/main i386 Packages/DiffIndex   
Atteint http://ftp.fr.debian.org squeeze-proposed-updates/main Sources/DiffIndex
Atteint http://security.debian.org squeeze/updates/main Sources                 
Atteint http://ftp.fr.debian.org squeeze-proposed-updates/main i386 Packages/DiffIndex
Atteint http://ftp.fr.debian.org squeeze-updates/main i386 Packages             
Atteint http://security.debian.org squeeze/updates/main i386 Packages           
Prendre : 3 http://backports.debian.org squeeze-backports/main i386 Packages [479 kB]
Atteint http://www.deb-multimedia.org squeeze Release.gpg         
Ign http://www.deb-multimedia.org/ squeeze/main Translation-en     
Ign http://www.deb-multimedia.org/ squeeze/main Translation-fr     
Atteint http://www.deb-multimedia.org squeeze Release             
Atteint http://www.deb-multimedia.org squeeze/main Sources         
Atteint http://www.deb-multimedia.org squeeze/main i386 Packages/DiffIndex
558 ko téléchargés en 6s (91,4 ko/s)                                           
                                   
État actuel : 1206 nouveaux paquets [+932].
aptitude full-upgrade:
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés.

Hors ligne

#53 28-08-2012 11:08:52

Switch
Membre
(G)UI : XFCE !
Inscription : 17-06-2012
Site Web

Re : [Résolu] pour la mise à jour

\o/
Tout a l'air OK bien joué ghafiki1;  sujet résolu !

Maintenant, pour en revenir a cette histoire de dépôt tuxfamily que tu avais:
deb http://download.tuxfamily.org/mythtvfr/ … ories/deb/ all 0.24

1 ) Je pense que tu avais voulu installer le logiciel mythtv c'est ca ?

2) As tu actuellement ce logiciel installé ? Et l'utilises tu ?

3) Que donne la commande suivante? Elle doit chercher (search) les paquets contenant le mot mythtv disponnibles:

aptitude search mythtv



4)  Si tu souhaites l'installer, il y a une page dans le Wiki Debian Facile: http://debian-facile.org/doc:media:mythtv
Or d'apres ce que j'ai lu; mythtv est présent dans les dépôts "multimedia" ( que tu as ).
Il n'y a donc pas a retoucher aux dépots pour le moment.
Oublie le dépot tuxfamily que tu avais.

5) eu... Peux tu aussi me dire ce que donne cette commande s'il te plaît :

dpkg -l | grep mythtv


( ca dois lister les paquets installés sur ton pc et afficher seulement ceux dont le nom contient mythtv)

6) Le jour ou tu devra remettre à jour ton pc ou installer un programme, penses à relire le Wiki de la commande aptitude :
http://debian-facile.org/manuel:commande_aptitude

7) J'ai mis des numéros a mes questions; essayes de répondre dans l'ordre wink merci

Hors ligne

#54 28-08-2012 11:09:51

bel@mi
Membre
Distrib. : Stable (bpo)
Inscription : 14-04-2012

Re : [Résolu] pour la mise à jour

martinux_qc a écrit :



Tu ne voudrais pas plutôt dire de faire un

aptitude full-upgrade


Vu que je mélange allégrement apt-get & aptitude au quotidien, j'avoue faire parfois l'amalgame entre les options des deux.
Mais un upgrade après un safe-upgrade, n'apportant rien de plus (avec aptitude) cette commande était sans risque pour notre ami, qui peut ainsi se familiariser avec le terminal, et en découvrir le fonctionnement, prendre confiance en lui, et évoluer dans la prise en charge de l'administration de son système smile

PS: Surtout que les MàJ ne sont pas fréquente en Stable.

Hors ligne

#55 28-08-2012 19:54:04

ghafiki1
Membre
Inscription : 31-05-2010

Re : [Résolu] pour la mise à jour

Switch a écrit :

\o/
Tout a l'air OK bien joué ghafiki1;  sujet résolu !

Maintenant, pour en revenir a cette histoire de dépôt tuxfamily que tu avais:
deb http://download.tuxfamily.org/mythtvfr/ … ories/deb/ all 0.24

1 ) Je pense que tu avais voulu installer le logiciel mythtv c'est ca ?

2) As tu actuellement ce logiciel installé ? Et l'utilises tu ?

3) Que donne la commande suivante? Elle doit chercher (search) les paquets contenant le mot mythtv disponnibles:

aptitude search mythtv



4)  Si tu souhaites l'installer, il y a une page dans le Wiki Debian Facile: http://debian-facile.org/doc:media:mythtv
Or d'apres ce que j'ai lu; mythtv est présent dans les dépôts "multimedia" ( que tu as ).
Il n'y a donc pas a retoucher aux dépots pour le moment.
Oublie le dépot tuxfamily que tu avais.

5) eu... Peux tu aussi me dire ce que donne cette commande s'il te plaît :

dpkg -l | grep mythtv


( ca dois lister les paquets installés sur ton pc et afficher seulement ceux dont le nom contient mythtv)

6) Le jour ou tu devra remettre à jour ton pc ou installer un programme, penses à relire le Wiki de la commande aptitude :
http://debian-facile.org/manuel:commande_aptitude

7) J'ai mis des numéros a mes questions; essayes de répondre dans l'ordre wink merci


Bonjour :
1-oui j  avais  installé mythtv , puis je l avais desinstallé maintenant je ne le veux pas.
2-mythtv n est pas installé.
3-aptitude search mythtv donne :
p   libmythtv-perl                  - Personal video recorder application (commo
p   mythtv                          - Personal video recorder application (clien
c   mythtv-backend                  - Personal video recorder application (serve
p   mythtv-common                   - Personal video recorder application (commo
c   mythtv-database                 - Personal video recorder application (datab
i   mythtv-doc                      - Personal video recorder application (docum
c   mythtv-frontend                 - Personal video recorder application (clien
p   mythtv-perl                     - Dummy package to install libmythtv-perl   
pi  mythtv-status                   - Show the status of a MythTV backend       
p   mythtv-themes                   - Additional themes for MythTV             
pi  mythtvfs                        - userspace filesystem client for MythTV   
p   python-mythtv                   - Personal video recorder application (commo
5-dpkg -l | grep mythtv donne :
rc  mythtv-backend                                0.24.1-0.0squeeze1                  A personal video recorder application (server)
rc  mythtv-database                               0.24.1-0.0squeeze1                  A personal video recorder application (database)
ii  mythtv-doc                                    0.24.2-0.0squeeze1                  Personal video recorder application (documentation).
rc  mythtv-frontend                               0.24.1-0.0squeeze1                  A personal video recorder application (client)
6-oui d accord.
7-oui j ai respecté l ordre des numeros .
8-merci bcp.

Hors ligne

#56 28-08-2012 21:39:24

Switch
Membre
(G)UI : XFCE !
Inscription : 17-06-2012
Site Web

Re : [Résolu] pour la mise à jour

Ok
C'était juste pour vérifier qu'il en te restait pas de programmes installés, venant de tuxfamily, et que tu n'utiliserai pas.
Du coup la recherche que tu as fait avec aptitude search montre bien que tu avais désinstallé Mythtv; par contre il reste le paquet

i   mythtv-doc                      - Personal video recorder application (docum


Comme expliqué dans le Wiki:
http://debian-facile.org/manuel:command … n_logiciel

Le premier caractère indique l'état courant du paquet :
    i ? le paquet est installé


Je parie que si tu fais

man mythtv


en console ca va t'afficher la documentation de Mythtv qui devrait être désinstallée ?
Ca n'est que de la documentation, mais ça serait plus propre de l'enlever complètement.

Je vois aussi:

pi  mythtvfs                        - userspace filesystem client for MythTV 
pi  mythtv-status                   - Show the status of a MythTV backend


Or comme expliqué dans le

man aptitude


Le second caractère indique l'action prévue sur le paquet.
Les actions les  plus courantes sont : i pour les paquets sur le point à installer


Dans le doute, tu peux donc aussi demander à ces paquets de ne plus du tout s'installer.

rc  mythtv-frontend                               0.24.1-0.0squeeze1                  A personal video recorder application


Ce paquet avec

rc


au début , veut dire que la paquet a bien été désinstallé ( r= removed), mais que les fichiers de configuration du prgramme (c=configuration) on été gardés pour le jour ou tu réinstallera ce dernier.
Il t'es aussi possible de demander a completement effacer ces traces de configuration.
C'est pas très important; mais après ce que Piratebab nous a expliqué sur Mythtv, moi je ferais ca tongue

Pour enlever les paquets et les fichiers de configuration, c'est dans le Wiki Aptitude à la partie "Désinstaller"évidement:
http://debian-facile.org/manuel:command … n_logiciel

Voila je t'embèterais plus sur ce sujet.
Si t'as une nouvelle question on fera un nouveau sujet.
Sur ce bonne continuation sur Debian wink

Hors ligne

#57 28-08-2012 21:51:24

bel@mi
Membre
Distrib. : Stable (bpo)
Inscription : 14-04-2012

Re : [Résolu] pour la mise à jour

Un

remove --purge Le_Paquet_Ou_Les_Paquets

n'est pas suffisant ?

Hors ligne

#58 28-08-2012 22:15:23

Switch
Membre
(G)UI : XFCE !
Inscription : 17-06-2012
Site Web

Re : [Résolu] pour la mise à jour

Galandou propose d'utiliser apt-get:

# apt-get remove --purge Le_Paquet_Ou_Les_Paquets


Mais dans cette discussion, nous avons utilisé aptitude tout le long.
Alors pour ne pas embrouiller ghafiki1, autant continuer à  utiliser aptitude qui dans ce cas, me semble même plus simple.

# aptitude remove NOMDUPAQUET

Pour désinstaller un paquet.

# aptitude purge NOMDUPAQUET

Pour désinstaller ET effacer les fichiers de configuration.
Pour ghafiki1 je précise que apt-get est un programme servant comme aptitude, à gérer les paquets.
Libre à toi d'utiliser celui qui te plaît.

Hors ligne

#59 28-08-2012 22:20:28

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [Résolu] pour la mise à jour

Voir la désinstallation ici :
http://debian-facile.org/manuel:command … n_logiciel

Je suis d'avis avec Switch de laisser ghafiki1 utiliser aptitude, il voit ce qui se passe et c'est une bonne formation à la gestion ainsi. smile

De toute façon, fatalement ghafiki1 testera toutes les ressources de debian en son temps... Fatalement comme chacun de nous  l'avons fait et le faisons encore. wink

Bon, graphik1, voici en lien la page indiquant les différents outils utilisables pour gérer les paquets que tu installes ou désinstalles :
http://debian-facile.org/doc:systeme:apt

Tu pourra y glaner des réponses par toi-même, n'hésite pas ensuite à nous consulter si tu n'en comprends pas le sens, cela nous permettra d'améliorer ce tuto pour tous.

Amitié, Joel smile

Dernière modification par smolski (28-08-2012 22:41:52)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#60 29-08-2012 11:35:34

ghafiki1
Membre
Inscription : 31-05-2010

Re : [Résolu] pour la mise à jour

ghafiki1 a écrit :

Switch a écrit :

\o/
Tout a l'air OK bien joué ghafiki1;  sujet résolu !

Maintenant, pour en revenir a cette histoire de dépôt tuxfamily que tu avais:
deb http://download.tuxfamily.org/mythtvfr/ … ories/deb/ all 0.24

1 ) Je pense que tu avais voulu installer le logiciel mythtv c'est ca ?

2) As tu actuellement ce logiciel installé ? Et l'utilises tu ?

3) Que donne la commande suivante? Elle doit chercher (search) les paquets contenant le mot mythtv disponnibles:

aptitude search mythtv



4)  Si tu souhaites l'installer, il y a une page dans le Wiki Debian Facile: http://debian-facile.org/doc:media:mythtv
Or d'apres ce que j'ai lu; mythtv est présent dans les dépôts "multimedia" ( que tu as ).
Il n'y a donc pas a retoucher aux dépots pour le moment.
Oublie le dépot tuxfamily que tu avais.

5) eu... Peux tu aussi me dire ce que donne cette commande s'il te plaît :

dpkg -l | grep mythtv


( ca dois lister les paquets installés sur ton pc et afficher seulement ceux dont le nom contient mythtv)

6) Le jour ou tu devra remettre à jour ton pc ou installer un programme, penses à relire le Wiki de la commande aptitude :
http://debian-facile.org/manuel:commande_aptitude

7) J'ai mis des numéros a mes questions; essayes de répondre dans l'ordre wink merci


Bonjour :
1-oui j  avais  installé mythtv , puis je l avais desinstallé maintenant je ne le veux pas.
2-mythtv n est pas installé.
3-aptitude search mythtv donne :
p   libmythtv-perl                  - Personal video recorder application (commo
p   mythtv                          - Personal video recorder application (clien
c   mythtv-backend                  - Personal video recorder application (serve
p   mythtv-common                   - Personal video recorder application (commo
c   mythtv-database                 - Personal video recorder application (datab
i   mythtv-doc                      - Personal video recorder application (docum
c   mythtv-frontend                 - Personal video recorder application (clien
p   mythtv-perl                     - Dummy package to install libmythtv-perl   
pi  mythtv-status                   - Show the status of a MythTV backend       
p   mythtv-themes                   - Additional themes for MythTV             
pi  mythtvfs                        - userspace filesystem client for MythTV   
p   python-mythtv                   - Personal video recorder application (commo
5-dpkg -l | grep mythtv donne :
rc  mythtv-backend                                0.24.1-0.0squeeze1                  A personal video recorder application (server)
rc  mythtv-database                               0.24.1-0.0squeeze1                  A personal video recorder application (database)
ii  mythtv-doc                                    0.24.2-0.0squeeze1                  Personal video recorder application (documentation).
rc  mythtv-frontend                               0.24.1-0.0squeeze1                  A personal video recorder application (client)
6-oui d accord.
7-oui j ai respecté l ordre des numeros .
8-merci bcp.


Bonjour Switch :
j ai utilisé la commande aptitude purge et j ai effacé tous les fichiers apres pi ou apres rc et enfin j ai fais la commande dpkg -l | grep mythtv et je n ai aucun message .
Je vous remercie tous pour votre effort avec moi .

Hors ligne

#61 29-08-2012 11:39:57

Switch
Membre
(G)UI : XFCE !
Inscription : 17-06-2012
Site Web

Re : [Résolu] pour la mise à jour

De rien ghafiki1 sérial le colleur !

ps: pas besoin de mettre QUOTE sur ce message wink

Hors ligne

Pied de page des forums